#ifndef SEGMENTPANEL_H
#define SEGMENTPANEL_H

#include <QObject>
#include <QWidget>

#include <QLabel>
#include <QLineEdit>
#include <QPushButton>

class segmentPanel : public QWidget
{
    Q_OBJECT
public:
    explicit segmentPanel(void *scribblearea, QWidget *parent = nullptr);

    void *_scribblearea;

    QLabel *_ends;
    QLineEdit *_tag;
    QLineEdit *_maxlen; // mesh size

    QPushButton *_applybtn;
    QPushButton *_closebtn;

signals:

public slots:
    void on_apply();
    void on_close();
};

#endif // SEGMENTPANEL_H
